Exceptions (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.helpers
Class Exceptions

    java.lang.Object
      org.neo4j.helpers.Exceptions

    public class Exceptions

extends Object

Method Summary
`static
`<T extends Throwable> T`
` | `launderedException(Class<T> type, String messageForUnexpected, Throwable exception)`
`static
`<T extends Throwable> T`
` | `launderedException(Class<T> type, Throwable exception)`
`static RuntimeException` | `launderedException(String messageForUnexpected, Throwable exception)`
`static RuntimeException` | `launderedException(Throwable exception)`
`static
`<T extends Throwable> T`
` | `withCause(T exception, Throwable cause)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### withCause

    public static <T extends Throwable> T withCause(T exception,
                                                    Throwable cause)

### launderedException

    public static RuntimeException launderedException(Throwable exception)

### launderedException

    public static RuntimeException launderedException(String messageForUnexpected,
                                                      Throwable exception)

### launderedException

    public static <T extends Throwable> T launderedException(Class<T> type,
                                                             Throwable exception)

### launderedException

    public static <T extends Throwable> T launderedException(Class<T> type,
                                                             String messageForUnexpected,
                                                             Throwable exception)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.